Index: uspace/srv/fs/tmpfs/tmpfs_ops.c
===================================================================
--- uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision 69a60c4719c00c65754e37637d85664db3fa149f)
+++ uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision 3a4b3bad74b51aef577f2e38649da421f223b85b)
@@ -70,8 +70,8 @@
 /* Forward declarations of static functions. */
 static int tmpfs_match(fs_node_t **, fs_node_t *, const char *);
-static int tmpfs_node_get(fs_node_t **, dev_handle_t, fs_index_t);
+static int tmpfs_node_get(fs_node_t **, devmap_handle_t, fs_index_t);
 static int tmpfs_node_open(fs_node_t *);
 static int tmpfs_node_put(fs_node_t *);
-static int tmpfs_create_node(fs_node_t **, dev_handle_t, int);
+static int tmpfs_create_node(fs_node_t **, devmap_handle_t, int);
 static int tmpfs_destroy_node(fs_node_t *);
 static int tmpfs_link_node(fs_node_t *, fs_node_t *, const char *);
@@ -79,7 +79,7 @@
 
 /* Implementation of helper functions. */
-static int tmpfs_root_get(fs_node_t **rfn, dev_handle_t dev_handle)
-{
-	return tmpfs_node_get(rfn, dev_handle, TMPFS_SOME_ROOT); 
+static int tmpfs_root_get(fs_node_t **rfn, devmap_handle_t devmap_handle)
+{
+	return tmpfs_node_get(rfn, devmap_handle, TMPFS_SOME_ROOT); 
 }
 
@@ -120,5 +120,5 @@
 }
 
-static dev_handle_t tmpfs_device_get(fs_node_t *fn)
+static devmap_handle_t tmpfs_device_get(fs_node_t *fn)
 {
 	return 0;
@@ -165,7 +165,7 @@
 	switch (keys) {
 	case 1:
-		return (nodep->dev_handle == key[NODES_KEY_DEV]);
+		return (nodep->devmap_handle == key[NODES_KEY_DEV]);
 	case 2:	
-		return ((nodep->dev_handle == key[NODES_KEY_DEV]) &&
+		return ((nodep->devmap_handle == key[NODES_KEY_DEV]) &&
 		    (nodep->index == key[NODES_KEY_INDEX]));
 	default:
@@ -209,5 +209,5 @@
 	nodep->bp = NULL;
 	nodep->index = 0;
-	nodep->dev_handle = 0;
+	nodep->devmap_handle = 0;
 	nodep->type = TMPFS_NONE;
 	nodep->lnkcnt = 0;
@@ -233,10 +233,10 @@
 }
 
-static bool tmpfs_instance_init(dev_handle_t dev_handle)
+static bool tmpfs_instance_init(devmap_handle_t devmap_handle)
 {
 	fs_node_t *rfn;
 	int rc;
 	
-	rc = tmpfs_create_node(&rfn, dev_handle, L_DIRECTORY);
+	rc = tmpfs_create_node(&rfn, devmap_handle, L_DIRECTORY);
 	if (rc != EOK || !rfn)
 		return false;
@@ -245,8 +245,8 @@
 }
 
-static void tmpfs_instance_done(dev_handle_t dev_handle)
+static void tmpfs_instance_done(devmap_handle_t devmap_handle)
 {
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle
+		[NODES_KEY_DEV] = devmap_handle
 	};
 	/*
@@ -279,8 +279,8 @@
 }
 
-int tmpfs_node_get(fs_node_t **rfn, dev_handle_t dev_handle, fs_index_t index)
+int tmpfs_node_get(fs_node_t **rfn, devmap_handle_t devmap_handle, fs_index_t index)
 {
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
@@ -308,5 +308,5 @@
 }
 
-int tmpfs_create_node(fs_node_t **rfn, dev_handle_t dev_handle, int lflag)
+int tmpfs_create_node(fs_node_t **rfn, devmap_handle_t devmap_handle, int lflag)
 {
 	fs_node_t *rootfn;
@@ -327,5 +327,5 @@
 	nodep->bp->data = nodep;	/* link the FS and TMPFS nodes */
 
-	rc = tmpfs_root_get(&rootfn, dev_handle);
+	rc = tmpfs_root_get(&rootfn, devmap_handle);
 	assert(rc == EOK);
 	if (!rootfn)
@@ -333,5 +333,5 @@
 	else
 		nodep->index = tmpfs_next_index++;
-	nodep->dev_handle = dev_handle;
+	nodep->devmap_handle = devmap_handle;
 	if (lflag & L_DIRECTORY) 
 		nodep->type = TMPFS_DIRECTORY;
@@ -341,5 +341,5 @@
 	/* Insert the new node into the nodes hash table. */
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = nodep->dev_handle,
+		[NODES_KEY_DEV] = nodep->devmap_handle,
 		[NODES_KEY_INDEX] = nodep->index
 	};
@@ -357,5 +357,5 @@
 
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = nodep->dev_handle,
+		[NODES_KEY_DEV] = nodep->devmap_handle,
 		[NODES_KEY_INDEX] = nodep->index
 	};
@@ -442,5 +442,5 @@
 void tmpfs_mounted(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_node_t *rootfn;
 	int rc;
@@ -455,5 +455,5 @@
 
 	/* Check if this device is not already mounted. */
-	rc = tmpfs_root_get(&rootfn, dev_handle);
+	rc = tmpfs_root_get(&rootfn, devmap_handle);
 	if ((rc == EOK) && (rootfn)) {
 		(void) tmpfs_node_put(rootfn);
@@ -464,5 +464,5 @@
 
 	/* Initialize TMPFS instance. */
-	if (!tmpfs_instance_init(dev_handle)) {
+	if (!tmpfs_instance_init(devmap_handle)) {
 		free(opts);
 		ipc_answer_0(rid, ENOMEM);
@@ -470,9 +470,9 @@
 	}
 
-	rc = tmpfs_root_get(&rootfn, dev_handle);
+	rc = tmpfs_root_get(&rootfn, devmap_handle);
 	assert(rc == EOK);
 	tmpfs_node_t *rootp = TMPFS_NODE(rootfn);
 	if (str_cmp(opts, "restore") == 0) {
-		if (tmpfs_restore(dev_handle))
+		if (tmpfs_restore(devmap_handle))
 			ipc_answer_3(rid, EOK, rootp->index, rootp->size,
 			    rootp->lnkcnt);
@@ -493,7 +493,7 @@
 void tmpfs_unmounted(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
-
-	tmpfs_instance_done(dev_handle);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
+
+	tmpfs_instance_done(devmap_handle);
 	ipc_answer_0(rid, EOK);
 }
@@ -511,5 +511,5 @@
 void tmpfs_read(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	aoff64_t pos =
@@ -521,5 +521,5 @@
 	link_t *hlp;
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
@@ -586,5 +586,5 @@
 void tmpfs_write(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	aoff64_t pos =
@@ -596,5 +596,5 @@
 	link_t *hlp;
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
@@ -651,5 +651,5 @@
 void tmpfs_truncate(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	aoff64_t size =
@@ -660,5 +660,5 @@
 	 */
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
@@ -704,5 +704,5 @@
 void tmpfs_destroy(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t)IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t)IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t)IPC_GET_ARG2(*request);
 	int rc;
@@ -710,5 +710,5 @@
 	link_t *hlp;
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
